Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultVmpGroupType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultVmpGroupType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultVmpGroupType extends Object implements Serializable

Java class for ConsultVmpGroupType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultVmpGroupType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
             <element name="NoGenericPrescriptionReason" type="{urn:be:fgov:ehealth:dics:protocol:v5}NoGenericPrescriptionReasonType" minOccurs="0"/>
             <element name="NoSwitchReason" type="{urn:be:fgov:ehealth:dics:protocol:v5}NoSwitchReasonType" minOccurs="0"/>
             <element name="PatientFrailtyIndicator" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="SingleAdministrationDose" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
             <element name="DoseUnits" type="{urn:be:fgov:ehealth:dics:protocol:v5}DoseUnitsType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="StandardDosage" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultStandardDosageType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="ProductId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultVmpGroupType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `int`
  `getCode()`
  Gets the value of the code property.
  `List<DoseUnitsType>`
  `getDoseUnits()`
  TO BE CLARIFIED!!! Gets the value of the doseUnits property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `ConsultTextType`
  `getName()`
  Name of this group.
  `NoGenericPrescriptionReasonType`
  `getNoGenericPrescriptionReason()`
  The reason why a VMP Group or a specific AMPP can’t be generically prescribed, e.g.
  `NoSwitchReasonType`
  `getNoSwitchReason()`
  The reason why a VMP Group is no switch (prescribed package cannot be substituted by another package in the same group), e.g.
  `String`
  `getProductId()`
  Code uniquely identifying a prescribable product on a specific date.
  `QuantityType`
  `getSingleAdministrationDose()`
  Defines a single administration dose.
  `List<ConsultStandardDosageType>`
  `getStandardDosages()`
  Standard Dosages for this VMP Group.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `Boolean`
  `isPatientFrailtyIndicator()`
  Indicates whether the frailty of the patient has impact on the standard dosage.
  `void`
  `setCode(int value)`
  Sets the value of the code property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setName(ConsultTextType value)`
  Sets the value of the name property.
  `void`
  `setNoGenericPrescriptionReason(NoGenericPrescriptionReasonType value)`
  Sets the value of the noGenericPrescriptionReason property.
  `void`
  `setNoSwitchReason(NoSwitchReasonType value)`
  Sets the value of the noSwitchReason property.
  `void`
  `setPatientFrailtyIndicator(Boolean value)`
  Sets the value of the patientFrailtyIndicator property.
  `void`
  `setProductId(String value)`
  Sets the value of the productId property.
  `void`
  `setSingleAdministrationDose(QuantityType value)`
  Sets the value of the singleAdministrationDose property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultVmpGroupType

    public ConsultVmpGroupType()

- ## Method Details

  - ### getName

    public ConsultTextType getName()
    Name of this group. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional. Example: ‘amoxicilline 1g oraal’.
    Returns:
      possible object is `ConsultTextType`

  - ### setName

    public void setName(ConsultTextType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getName()`

  - ### getNoGenericPrescriptionReason

    public NoGenericPrescriptionReasonType getNoGenericPrescriptionReason()
    The reason why a VMP Group or a specific AMPP can’t be generically prescribed, e.g. ‘biological’.
    Returns:
      possible object is `NoGenericPrescriptionReasonType`

  - ### setNoGenericPrescriptionReason

    public void setNoGenericPrescriptionReason(NoGenericPrescriptionReasonType value)
    Sets the value of the noGenericPrescriptionReason property.
    Parameters:
      `value` - allowed object is `NoGenericPrescriptionReasonType`
    See Also:
      - `getNoGenericPrescriptionReason()`

  - ### getNoSwitchReason

    public NoSwitchReasonType getNoSwitchReason()
    The reason why a VMP Group is no switch (prescribed package cannot be substituted by another package in the same group), e.g. ‘narrow therapeutic margin’
    Returns:
      possible object is `NoSwitchReasonType`

  - ### setNoSwitchReason

    public void setNoSwitchReason(NoSwitchReasonType value)
    Sets the value of the noSwitchReason property.
    Parameters:
      `value` - allowed object is `NoSwitchReasonType`
    See Also:
      - `getNoSwitchReason()`

  - ### isPatientFrailtyIndicator

    public Boolean isPatientFrailtyIndicator()
    Indicates whether the frailty of the patient has impact on the standard dosage. If the value is true, the standard dosage should be adapted according to the patient's frailty.
    Returns:
      possible object is `Boolean`

  - ### setPatientFrailtyIndicator

    public void setPatientFrailtyIndicator(Boolean value)
    Sets the value of the patientFrailtyIndicator property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isPatientFrailtyIndicator()`

  - ### getSingleAdministrationDose

    public QuantityType getSingleAdministrationDose()
    Defines a single administration dose. Products in the same group can have multiple administration routes, and doses can differ between routes. This element contains the quantity that counts as a single administration dose for all routes.
    Returns:
      possible object is `QuantityType`

  - ### setSingleAdministrationDose

    public void setSingleAdministrationDose(QuantityType value)
    Sets the value of the singleAdministrationDose property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getSingleAdministrationDose()`

  - ### getDoseUnits

    public List<DoseUnitsType> getDoseUnits()
    TO BE CLARIFIED!!! Gets the value of the doseUnits property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doseUnits property.

    For example, to add a new item, do as follows:

         getDoseUnits().add(newItem);

    Objects of the following type(s) are allowed in the list `DoseUnitsType`

    Returns:
      The value of the doseUnits property.

  - ### getStandardDosages

    public List<ConsultStandardDosageType> getStandardDosages()
    Standard Dosages for this VMP Group. The prescriber can use a Standard Dosage as a basis for a medication scheme. Gets the value of the standardDosages property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardDosages property.

    For example, to add a new item, do as follows:

         getStandardDosages().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultStandardDosageType`

    Returns:
      The value of the standardDosages property.

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getCode

    public int getCode()
    Gets the value of the code property.

  - ### setCode

    public void setCode(int value)
    Sets the value of the code property.

  - ### getProductId

    public String getProductId()
    Code uniquely identifying a prescribable product on a specific date. Used to prove the consultation of SAM.
    Returns:
      possible object is `String`

  - ### setProductId

    public void setProductId(String value)
    Sets the value of the productId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductId()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`